Index: ram/scinit.c
===================================================================
--- ram/scinit.c	(revision 05806159f2593192d6ed2fca28358480a2383c67)
+++ ram/scinit.c	(revision 7258c6ac4de2518c5430095742a27be7af0c89d7)
@@ -89,19 +89,19 @@
 */
 
-extern	short	sd;		/* Scroll direction */
-extern	short	curasg;		/* Current assgnment table */
-extern	short	tmpoval;	/* Current tempo */
-extern	short	curtun;		/* Current tuning table */
+extern	int16_t	sd;		/* Scroll direction */
+extern	int16_t	curasg;		/* Current assgnment table */
+extern	int16_t	tmpoval;	/* Current tempo */
+extern	int16_t	curtun;		/* Current tuning table */
 
 extern	BOOL	se_chg;		/* Score free list changed flag */
 
-extern	long	spcount;	/* Score storage pool free entry count */
-extern	long	frags;		/* Score storage pool fragment count */
-
-extern	long	se1_cnt;	/* Score free list E_SIZE1 entry count */
-extern	long	se2_cnt;	/* Score free list E_SIZE2 entry count */
-extern	long	se3_cnt;	/* Score free list E_SIZE3 entry count */
-
-extern	long	*pspool;	/* Score storage pool pointer */
+extern	int32_t	spcount;	/* Score storage pool free entry count */
+extern	int32_t	frags;		/* Score storage pool fragment count */
+
+extern	int32_t	se1_cnt;	/* Score free list E_SIZE1 entry count */
+extern	int32_t	se2_cnt;	/* Score free list E_SIZE2 entry count */
+extern	int32_t	se3_cnt;	/* Score free list E_SIZE3 entry count */
+
+extern	int32_t	*pspool;	/* Score storage pool pointer */
 
 extern	struct	s_entry	*size1;	/* Score E_SIZE1 entry free list pointer */
@@ -115,15 +115,15 @@
 extern	struct	s_time	stimes[N_SCORES][N_SECTS];	/* section times */
 
-extern	char	scname[N_SCORES][16];	/* Score names */
-
-extern	short	curscor;	/* Current score number */
-extern	short	cursect;	/* Current section number in score */
+extern	int8_t	scname[N_SCORES][16];	/* Score names */
+
+extern	int16_t	curscor;	/* Current score number */
+extern	int16_t	cursect;	/* Current section number in score */
 
 extern	struct s_entry *scp;	/* Current score pointer */
 
-extern	long	t_bak;		/* Time at p_bak */
-extern	long	t_cur;		/* Time at p_cur */
-extern	long	t_ctr;		/* Time at p_ctr */
-extern	long	t_fwd;		/* Time at p_fwd */
+extern	int32_t	t_bak;		/* Time at p_bak */
+extern	int32_t	t_cur;		/* Time at p_cur */
+extern	int32_t	t_ctr;		/* Time at p_ctr */
+extern	int32_t	t_fwd;		/* Time at p_fwd */
 
 extern	struct s_entry *p_bak;	/* Pointer to entry at left edge of display */
@@ -132,5 +132,5 @@
 extern	struct s_entry *p_fwd;	/* Pointer to entry at right edge of display */
 
-extern	long	spool[];	/* Score storage pool */
+extern	int32_t	spool[];	/* Score storage pool */
 
 /* 
@@ -144,5 +144,5 @@
 */
 
-long evleft(void)
+int32_t evleft(void)
 {
 	return(spcount + (se1_cnt * E_SIZE1) + (se2_cnt * E_SIZE2) +
@@ -161,7 +161,7 @@
 */
 
-long scinit(void)
-{
-	register long i, *cp;
+int32_t scinit(void)
+{
+	register int32_t i, *cp;
 
 	se1_cnt = 0L;					/* fragments */
@@ -174,5 +174,5 @@
 	frags   = 0L;
 
-	spcount = (long)MAX_SE;				/* storage pool */
+	spcount = (int32_t)MAX_SE;				/* storage pool */
 	pspool  = spool;
 	cp = spool;
@@ -298,5 +298,5 @@
 */
 
-struct s_entry *e_alc(short w)
+struct s_entry *e_alc(int16_t w)
 {
 	register struct s_entry *ev, *ex;
@@ -453,5 +453,5 @@
 */
 
-short e_del(struct s_entry *e1)
+int16_t e_del(struct s_entry *e1)
 {
 	e_clr(e1);
@@ -499,5 +499,5 @@
 */
 
-void eh_ins(struct s_entry *ne, short et)
+void eh_ins(struct s_entry *ne, int16_t et)
 {
 	register struct s_entry *hp, *ep;
@@ -553,5 +553,5 @@
 */
 
-void eh_rmv(struct s_entry *ev, short et)
+void eh_rmv(struct s_entry *ev, int16_t et)
 {
 	if (hplist[curscor][et] EQ ev)			/* update hplist */
@@ -577,8 +577,8 @@
 */
 
-void sc_clr(short ns)
+void sc_clr(int16_t ns)
 {
 	register struct s_entry *dsp, *nsp;
-	register short i;
+	register int16_t i;
 
 	if (E_NULL NE (nsp = scores[ns])) {
@@ -618,7 +618,7 @@
 */
 
-short selscor(short ns)
-{
-	register short	oldscor, grp;
+int16_t selscor(int16_t ns)
+{
+	register int16_t	oldscor, grp;
 	register struct	s_entry *nsp, *ep;
 
